Subject: bug#21505: 24.4; Buffer order

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Sep 2015 08:50:33 -0400

> No, it should always be as given to emacs/emacsclient, i.e., when I
> invoke
>
>   $ emacsclient x a b
>
> I want to have the buffer x selected and using `next-buffer' I'd switch
> to a and then b, and then to the other buffers which have existed
> before.  Right now, x will be selected, but a and b are far away.

That's right.  And same for "emacs x a b".

The precise behavior is a bit more complex since those commands, rather
than just showing the first file may/will also show the buffer-list,
but if exactly one of the files is shown it should be the first in the
list and next-buffer should go in the order in which the file names
were given (until reaching the end of this list at which point it'll
hit things like *Messages* and friends and that's fine).

        Stefan